summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh10
-rw-r--r--configure.ac2
2 files changed, 7 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index d80f8a0..b7095b6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -15,7 +15,7 @@ cd $srcdir
PACKAGE=libspectre
LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
-LIBTOOLIZE_FLAGS="--copy --force"
+LIBTOOLIZE_FLAGS="--copy --force --automake"
AUTOHEADER=${AUTOHEADER-autoheader}
AUTOMAKE_FLAGS="--add-missing --foreign"
AUTOCONF=${AUTOCONF-autoconf}
@@ -49,8 +49,8 @@ esac
# some terminal codes ...
-boldface="`tput bold 2>/dev/null`"
-normal="`tput sgr0 2>/dev/null`"
+boldface="`tput bold 2>/dev/null || true`"
+normal="`tput sgr0 2>/dev/null || true`"
printbold() {
echo $ECHO_N "$boldface"
echo "$@"
@@ -137,7 +137,7 @@ version_check autoconf AUTOCONF $AUTOCONF $autoconf_min_vers \
#
# We check automake first to allow it to be a newer version than we know about.
#
-version_check automake AUTOMAKE "$AUTOMAKE automake automake-1.10 automake-1.9 automake-1.8 automake-1.7" $automake_min_vers \
+version_check automake AUTOMAKE "$AUTOMAKE automake automake-1.11 automake-1.10 automake-1.9 automake-1.8 automake-1.7" $automake_min_vers \
"http://ftp.gnu.org/pub/gnu/automake/automake-${automake_min_vers}.tar.gz" || DIE=1
ACLOCAL=`echo $AUTOMAKE | sed s/automake/aclocal/`
@@ -187,7 +187,7 @@ do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
do_cmd $AUTOCONF
-cd $ORIGDIR || exit 1
+cd "$ORIGDIR" || exit 1
rm -f config.cache
diff --git a/configure.ac b/configure.ac
index 5189b20..b228f21 100644
--- a/configure.ac
+++ b/configure.ac
@@ -11,6 +11,8 @@ AC_CONFIG_HEADERS(config.h)
AM_INIT_AUTOMAKE([1.7])
+m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])])
+
AM_MAINTAINER_MODE
# libtool versioning